<app-toolbar></app-toolbar>
<form [formGroup]="formGroup" class="flex flex-col h-full">
  <div class="flex-1 p-4 space-y-6 overflow-y-auto">
    <app-input-label w="full" [labelText]="'제목'">
      <input class="w-full" type="text" formControlName="name" placeholder="제목을 입력해 주세요." />
    </app-input-label>
    <app-input-label w="full" [labelText]="'내용'">
      <textarea [rows]="3" class="w-full" type="text" formControlName="content" placeholder="내용을 입력해 주세요."></textarea>
    </app-input-label>
    <div class="space-y-2.5">
      <p class="text-sm font-semibold">우선순위</p>
      <div class="flex space-x-2">
        <app-tag color="red" [active]="formGroup.value.priority == priority.HIGH"
          (click)="onChangePriority(priority.HIGH)">HIGH</app-tag>
        <app-tag color="blue" [active]="formGroup.value.priority == priority.MIDDLE"
          (click)="onChangePriority(priority.MIDDLE)">MIDDLE</app-tag>
        <app-tag color="grey" [active]="formGroup.value.priority == priority.LOW"
          (click)="onChangePriority(priority.LOW)">LOW</app-tag>
      </div>
    </div>
    <div>
      <app-select-box [name]="'상태'" [list]="[{id:1, name:'열림'},{id:2, name:'닫힘'}]"
        [selectedItem]="formGroup.value.status? {id:1, name:'열림'}:{id:2, name:'닫힘'} "
        (selectedEm)="onChangeStatusSelected($event)"></app-select-box>
    </div>
    <div>
      <app-search-select-box [name]="'태그'" (inputEm)="searchTag($event)" (selectedEm)="onChangeLabelSelected($event)"
        [labels]="labels()" [selectedLabels]="issue?.issueLabels ?? []"></app-search-select-box>
    </div>
  </div>

  <div class="flex items-center px-4 py-3 space-x-2">
    @if(formGroup.invalid){
    <app-button class="px-4 !bg-gray-300 !border-none">{{issueId?'수정':'저장'}}</app-button>
    }@else {
    <app-button class="px-4" (click)="issueId ? updateIssue() : createIssue()">{{issueId?'수정':'저장'}}</app-button>
    }
    @if(issueId){
    <app-button class="px-4 !text-error bg-[#FCE4E4]">삭제</app-button>
    }
  </div>
</form>